Commit fe75d2d4 authored by Ben Gamari's avatar Ben Gamari 🐢

Ensure mkUserGuidePart is compiled with current GHC version

parent 0a6c257d
......@@ -1157,7 +1157,7 @@ checkMake380() {
checkMake380 make
checkMake380 gmake
AC_CONFIG_FILES([mk/config.mk mk/install.mk mk/project.mk compiler/ghc.cabal ghc/ghc-bin.cabal utils/runghc/runghc.cabal libraries/ghc-boot/ghc-boot.cabal libraries/ghc-boot-th/ghc-boot-th.cabal libraries/ghci/ghci.cabal settings docs/users_guide/ghc_config.py docs/index.html libraries/prologue.txt distrib/configure.ac])
AC_CONFIG_FILES([mk/config.mk mk/install.mk mk/project.mk compiler/ghc.cabal ghc/ghc-bin.cabal utils/runghc/runghc.cabal libraries/ghc-boot/ghc-boot.cabal libraries/ghc-boot-th/ghc-boot-th.cabal libraries/ghci/ghci.cabal settings docs/users_guide/ghc_config.py docs/index.html libraries/prologue.txt utils/mkUserGuidePart/mkUserGuidePart.cabal distrib/configure.ac])
AC_OUTPUT
if test "$print_make_warning" = "true"; then
......
Name: mkUserGuidePart
Version: 0.1
Version: @ProjectVersionMunged@
Copyright: XXX
License: BSD3
-- XXX License-File: LICENSE
......@@ -47,5 +47,9 @@ Executable mkUserGuidePart
Options.Verbosity
Options.Warnings
Build-Depends: base >= 3 && < 5,
ghc
-- mkUserGuidePart uses the compiler's DynFlags to determine
-- a few options-related properties of the compiler.
-- Consequently we should make sure we are building against
-- the right compiler.
ghc == @ProjectVersionMunged@
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment